Ant API: Class JikesOutputParser

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class JikesOutputParser

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.JikesOutputParser

public class JikesOutputParser
extends java.lang.Object

Parses output from jikes and passes errors and warnings into the right logging channels of Project. TODO: Parsing could be much better

Author:
  skanthak@muehlheim.de

Field Summary
`protected boolean` | `emacsMode`
`protected boolean` | `error`
`protected boolean` | `errorFlag`
`protected int` | `errors`
`protected Project` | `project`
`protected int` | `warnings`

Constructor Summary
`protected` | `JikesOutputParser(Project project, boolean emacsMode)` Construct a new Parser object

Method Summary
`protected boolean` | `getErrorFlag()` Indicate if there were errors during the compile
`protected void` | `parseOutput(java.io.BufferedReader reader)` Parse the output of a jikes compiler

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### project

    protected Project project

### errorFlag

    protected boolean errorFlag

### errors

    protected int errors

### warnings

    protected int warnings

### error

    protected boolean error

### emacsMode

    protected boolean emacsMode

Constructor Detail

### JikesOutputParser

    protected JikesOutputParser(Project project,
                                boolean emacsMode)

  Construct a new Parser object
  Parameters:
    `project` - - project in whichs context we are called

Method Detail

### parseOutput

    protected void parseOutput(java.io.BufferedReader reader)
                        throws java.io.IOException

  Parse the output of a jikes compiler
  Parameters:
    `reader` - - Reader used to read jikes's output

### getErrorFlag

    protected boolean getErrorFlag()

  Indicate if there were errors during the compile
  Returns:
    if errors ocured

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.